Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfStructureElement

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfStructureElement

    public class PdfStructureElement

extends PdfDictionary

This is a node in a document logical structure. It may contain a mark point or it may contain other nodes.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`private PdfStructureElement` | `parent` Holds value of property kids.
`private PdfIndirectReference` | `reference` Holds value of property reference.
`private PdfStructureTreeRoot` | `top`

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfStructureElement(PdfStructureElement parent, PdfName structureType)` Creates a new instance of PdfStructureElement.
`PdfStructureElement(PdfStructureTreeRoot parent, PdfName structureType)` Creates a new instance of PdfStructureElement.

Method Summary
`PdfDictionary` | `getParent()` Gets the parent of this node.
`PdfIndirectReference` | `getReference()` Gets the reference this object will be written to.
`private void` | `init(PdfDictionary parent, PdfName structureType)`
`(package private) void` | `setPageMark(int page, int mark)`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    private PdfStructureElement parent

  Holds value of property kids.

### top

    private PdfStructureTreeRoot top

### reference

    private PdfIndirectReference reference

  Holds value of property reference.

Constructor Detail

### PdfStructureElement

    public PdfStructureElement(PdfStructureElement parent,
                               PdfName structureType)

  Creates a new instance of PdfStructureElement.

  Parameters:
    `parent` - the parent of this node
    `structureType` - the type of structure. It may be a standard type or a user type mapped by the role map

### PdfStructureElement

    public PdfStructureElement(PdfStructureTreeRoot parent,
                               PdfName structureType)

  Creates a new instance of PdfStructureElement.

  Parameters:
    `parent` - the parent of this node
    `structureType` - the type of structure. It may be a standard type or a user type mapped by the role map

Method Detail

### init

    private void init(PdfDictionary parent,
                      PdfName structureType)

### getParent

    public PdfDictionary getParent()

  Gets the parent of this node.

  Returns:
    the parent of this node

### setPageMark

    void setPageMark(int page,
                     int mark)

### getReference

    public PdfIndirectReference getReference()

  Gets the reference this object will be written to.

  Returns:
    the reference this object will be written to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD